final case class Components(schemas: ListMap[Key, ReferenceOr[JsonSchema]] = ListMap.empty, responses: ListMap[Key, ReferenceOr[Response]] = ListMap.empty, parameters: ListMap[Key, ReferenceOr[Parameter]] = ListMap.empty, examples: ListMap[Key, ReferenceOr[Example]] = ListMap.empty, requestBodies: ListMap[Key, ReferenceOr[RequestBody]] = ListMap.empty, headers: ListMap[Key, ReferenceOr[Header]] = ListMap.empty, securitySchemes: ListMap[Key, ReferenceOr[SecurityScheme]] = ListMap.empty, links: ListMap[Key, ReferenceOr[Link]] = ListMap.empty, callbacks: ListMap[Key, ReferenceOr[Callback]] = ListMap.empty) extends Product with Serializable

Holds a set of reusable objects for different aspects of the OAS. All objects defined within the components object will have no effect on the API unless they are explicitly referenced from properties outside the components object.

schemas

An object to hold reusable Schema Objects.

responses

An object to hold reusable Response Objects.

parameters

An object to hold reusable Parameter Objects.

examples

An object to hold reusable Example Objects.

requestBodies

An object to hold reusable Request Body Objects.

headers

An object to hold reusable Header Objects.

securitySchemes

An object to hold reusable Security Scheme Objects.

links

An object to hold reusable Link Objects.

callbacks

An object to hold reusable Callback Objects.

Ordering
  1. Alphabetic
  2. By Inheritance
Inherited
  1. Components
  2. Serializable
  3. Serializable
  4. Product
  5. Equals
  6. AnyRef
  7. Any
  1. Hide All
  2. Show All
Visibility
  1. Public
  2. All

Instance Constructors

  1. new Components(schemas: ListMap[Key, ReferenceOr[JsonSchema]] = ListMap.empty, responses: ListMap[Key, ReferenceOr[Response]] = ListMap.empty, parameters: ListMap[Key, ReferenceOr[Parameter]] = ListMap.empty, examples: ListMap[Key, ReferenceOr[Example]] = ListMap.empty, requestBodies: ListMap[Key, ReferenceOr[RequestBody]] = ListMap.empty, headers: ListMap[Key, ReferenceOr[Header]] = ListMap.empty, securitySchemes: ListMap[Key, ReferenceOr[SecurityScheme]] = ListMap.empty, links: ListMap[Key, ReferenceOr[Link]] = ListMap.empty, callbacks: ListMap[Key, ReferenceOr[Callback]] = ListMap.empty)

    schemas

    An object to hold reusable Schema Objects.

    responses

    An object to hold reusable Response Objects.

    parameters

    An object to hold reusable Parameter Objects.

    examples

    An object to hold reusable Example Objects.

    requestBodies

    An object to hold reusable Request Body Objects.

    headers

    An object to hold reusable Header Objects.

    securitySchemes

    An object to hold reusable Security Scheme Objects.

    links

    An object to hold reusable Link Objects.

    callbacks

    An object to hold reusable Callback Objects.

Value Members

  1. final def !=(arg0: Any): Boolean
    Definition Classes
    AnyRef → Any
  2. final def ##(): Int
    Definition Classes
    AnyRef → Any
  3. def ++(other: Components): Components
  4. final def ==(arg0: Any): Boolean
    Definition Classes
    AnyRef → Any
  5. final def asInstanceOf[T0]: T0
    Definition Classes
    Any
  6. val callbacks: ListMap[Key, ReferenceOr[Callback]]
  7. def clone(): AnyRef
    Attributes
    protected[lang]
    Definition Classes
    AnyRef
    Annotations
    @throws( ... ) @native() @IntrinsicCandidate()
  8. final def eq(arg0: AnyRef): Boolean
    Definition Classes
    AnyRef
  9. val examples: ListMap[Key, ReferenceOr[Example]]
  10. final def getClass(): Class[_]
    Definition Classes
    AnyRef → Any
    Annotations
    @native() @IntrinsicCandidate()
  11. val headers: ListMap[Key, ReferenceOr[Header]]
  12. final def isInstanceOf[T0]: Boolean
    Definition Classes
    Any
  13. val links: ListMap[Key, ReferenceOr[Link]]
  14. final def ne(arg0: AnyRef): Boolean
    Definition Classes
    AnyRef
  15. final def notify(): Unit
    Definition Classes
    AnyRef
    Annotations
    @native() @IntrinsicCandidate()
  16. final def notifyAll(): Unit
    Definition Classes
    AnyRef
    Annotations
    @native() @IntrinsicCandidate()
  17. val parameters: ListMap[Key, ReferenceOr[Parameter]]
  18. val requestBodies: ListMap[Key, ReferenceOr[RequestBody]]
  19. val responses: ListMap[Key, ReferenceOr[Response]]
  20. val schemas: ListMap[Key, ReferenceOr[JsonSchema]]
  21. val securitySchemes: ListMap[Key, ReferenceOr[SecurityScheme]]
  22. final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
    AnyRef
  23. final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
    AnyRef
    Annotations
    @throws( ... )
  24. final def wait(arg0: Long): Unit
    Definition Classes
    AnyRef
    Annotations
    @throws( ... ) @native()
  25. final def wait(): Unit
    Definition Classes
    AnyRef
    Annotations
    @throws( ... )

Deprecated Value Members

  1. def finalize(): Unit
    Attributes
    protected[lang]
    Definition Classes
    AnyRef
    Annotations
    @throws( classOf[java.lang.Throwable] ) @Deprecated
    Deprecated

Inherited from Serializable

Inherited from Serializable

Inherited from Product

Inherited from Equals

Inherited from AnyRef

Inherited from Any

Ungrouped